/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package PointOfSell;

import javax.swing.JOptionPane;

/**
 *
 * @author admin
 */
public class POSPanel extends javax.swing.JPanel implements OnBuyProductListener{


    /**
     * Creates new form POSPanel
     */
    public POSPanel() {
        initComponents();

       drinksListPanel1.addOnBuyListener(this);
       drinksListPanel1.addOnBuyListener(sellPanel1);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        edtSearchProduct = new javax.swing.JTextField();
        btnSearchProduct = new javax.swing.JButton();
        edtSearchMember = new javax.swing.JTextField();
        btnSearchMember = new javax.swing.JButton();
        btnRegisterMember = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        drinksListPanel1 = new PointOfSell.DrinksListPanel();
        btnPrintBill = new javax.swing.JButton();
        btnCancelBill = new javax.swing.JButton();
        sellPanel1 = new PointOfSell.SellPanel();

        setBackground(new java.awt.Color(255, 204, 204));

        edtSearchProduct.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        edtSearchProduct.setText("   ค้นหาสินค้า");
        edtSearchProduct.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                edtSearchProductActionPerformed(evt);
            }
        });

        btnSearchProduct.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        btnSearchProduct.setText("ค้นหาสินค้า");

        edtSearchMember.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        edtSearchMember.setText("เบอร์โทรศัพท์ลูกค้า");
        edtSearchMember.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                edtSearchMemberActionPerformed(evt);
            }
        });

        btnSearchMember.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        btnSearchMember.setText("ค้นหา");
        btnSearchMember.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSearchMemberActionPerformed(evt);
            }
        });

        btnRegisterMember.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        btnRegisterMember.setText("สมัครสมาชิก");
        btnRegisterMember.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnRegisterMemberActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(drinksListPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 799, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(drinksListPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 595, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        btnPrintBill.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        btnPrintBill.setText("พิมพ์ใบเสร็จ");
        btnPrintBill.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnPrintBillActionPerformed(evt);
            }
        });

        btnCancelBill.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        btnCancelBill.setText("ยกเลิกใบเสร็จ");
        btnCancelBill.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelBillActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(edtSearchProduct)
                        .addGap(18, 18, 18)
                        .addComponent(btnSearchProduct, javax.swing.GroupLayout.PREFERRED_SIZE, 114, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(sellPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(157, 157, 157)
                                .addComponent(btnPrintBill, javax.swing.GroupLayout.PREFERRED_SIZE, 96, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(47, 47, 47)
                                .addComponent(btnCancelBill, javax.swing.GroupLayout.PREFERRED_SIZE, 96, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(edtSearchMember, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(24, 24, 24)
                                .addComponent(btnSearchMember, javax.swing.GroupLayout.PREFERRED_SIZE, 96, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(btnRegisterMember, javax.swing.GroupLayout.PREFERRED_SIZE, 95, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(sellPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 539, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(edtSearchMember, javax.swing.GroupLayout.PREFERRED_SIZE, 35, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(btnSearchMember, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(btnRegisterMember, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(btnPrintBill, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(btnCancelBill, javax.swing.GroupLayout.PREFERRED_SIZE, 37, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(edtSearchProduct)
                            .addComponent(btnSearchProduct, javax.swing.GroupLayout.PREFERRED_SIZE, 32, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void edtSearchProductActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_edtSearchProductActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_edtSearchProductActionPerformed

    private void edtSearchMemberActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_edtSearchMemberActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_edtSearchMemberActionPerformed

    private void btnSearchMemberActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSearchMemberActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnSearchMemberActionPerformed

    private void btnRegisterMemberActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnRegisterMemberActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnRegisterMemberActionPerformed

    private void btnPrintBillActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnPrintBillActionPerformed
        int input1 = JOptionPane.showConfirmDialog(this, "Print bill success Do you want to close this order?", "Select an Option...", JOptionPane.YES_NO_OPTION,
                    JOptionPane.ERROR_MESSAGE);
    }//GEN-LAST:event_btnPrintBillActionPerformed

    private void btnCancelBillActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelBillActionPerformed
        int input = JOptionPane.showConfirmDialog(this, "Do you want to cancel bill?", "Select an Option...", JOptionPane.YES_NO_OPTION,
                    JOptionPane.ERROR_MESSAGE);
    }//GEN-LAST:event_btnCancelBillActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCancelBill;
    private javax.swing.JButton btnPrintBill;
    private javax.swing.JButton btnRegisterMember;
    private javax.swing.JButton btnSearchMember;
    private javax.swing.JButton btnSearchProduct;
    private PointOfSell.DrinksListPanel drinksListPanel1;
    private javax.swing.JTextField edtSearchMember;
    private javax.swing.JTextField edtSearchProduct;
    private javax.swing.JPanel jPanel1;
    private PointOfSell.SellPanel sellPanel1;
    // End of variables declaration//GEN-END:variables

    @Override
    public void buy(Product product, int amount) {
    }

}
